import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceCarsDashboardService = createAsyncThunk(
  "CARS_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `kill_house_driver_total_dashboard`,
      {
        params: {
          role: getRoleFromUrl(),
          ...data,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
